AI Services/Real-person Assets
Create regular asset group
Create a regular asset group whose avatarType is always Virtual. A real-person group must be created through the Complete real-person verification endpoint.
POST
/
api
/
ai
/
volcengine
/
assets
/
groups
Create regular asset group
curl --request POST \
--url https://aitoearn.cn/api/ai/volcengine/assets/groups \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "product-avatar"
}
'import requests
url = "https://aitoearn.cn/api/ai/volcengine/assets/groups"
payload = { "name": "product-avatar" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'product-avatar'})
};
fetch('https://aitoearn.cn/api/ai/volcengine/assets/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/volcengine/assets/groups"
payload := strings.NewReader("{\n \"name\": \"product-avatar\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"groupId": "group_xxx",
"name": "product-avatar",
"avatarType": "Virtual",
"createdAt": "2026-07-02T12:00:00.000Z",
"updatedAt": "2026-07-02T12:00:00.000Z",
"description": "string"
}
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Body
application/json
Response
200 - application/json
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Business status code. 0 means success; non-zero means a business error.
Response message.
Hide child attributes
Hide child attributes
Asset group ID.
Example:
"group_xxx"
Asset group name.
Example:
"product-avatar"
Avatar type. Virtual means a regular group; RealPerson means a verified real-person group.
Available options:
Virtual, RealPerson Example:
"Virtual"
Created at.
Updated at.
Asset group description.
Request ID.
Error response timestamp in Unix milliseconds.
Last modified on September 29, 2026
⌘I
Create regular asset group
curl --request POST \
--url https://aitoearn.cn/api/ai/volcengine/assets/groups \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "product-avatar"
}
'import requests
url = "https://aitoearn.cn/api/ai/volcengine/assets/groups"
payload = { "name": "product-avatar" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'product-avatar'})
};
fetch('https://aitoearn.cn/api/ai/volcengine/assets/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/volcengine/assets/groups"
payload := strings.NewReader("{\n \"name\": \"product-avatar\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"groupId": "group_xxx",
"name": "product-avatar",
"avatarType": "Virtual",
"createdAt": "2026-07-02T12:00:00.000Z",
"updatedAt": "2026-07-02T12:00:00.000Z",
"description": "string"
}
}
